using LiteNetLib.Utils;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Network;

internal static class TriangleNetPacker
{
    internal static void Write(NetDataWriter writer, Triangle data)
    {
        Vector2DNetPacker.Write(writer, data.A);
        Vector2DNetPacker.Write(writer, data.B);
        Vector2DNetPacker.Write(writer, data.C);
    }

    internal static Triangle Read(NetDataReader reader)
    {
        Vector2D a = Vector2DNetPacker.Read(reader);
        Vector2D b = Vector2DNetPacker.Read(reader);
        Vector2D c = Vector2DNetPacker.Read(reader);

        return new Triangle(a, b, c);
    }
}
